Overview | Package | Class | Tree | Deprecated | Index | Help
| SSJ V. 2.1.1.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.charts
Class YListChart

    java.lang.Object
      umontreal.iro.lecuyer.charts.XYChart
          umontreal.iro.lecuyer.charts.XYLineChart
              umontreal.iro.lecuyer.charts.YListChart

    public class YListChart

extends XYLineChart

This class extends the class `XYLineChart`. Each `YListChart` object is associated with a `YListSeriesCollection` data set. The data is given as one or more lists of y-coordinates. The x-coordinates are given by the indices (+1) of each y-coordinate in the given lists.

Constructor Summary
`YListChart(String title, String XLabel, String YLabel, double[]... data)` Initializes a new `YListChart` instance with set of points `data`.
`YListChart(String title, String XLabel, String YLabel, double[][] data, int numPoints)` Initializes a new `YListChart` instance with set of points `data`.
`YListChart(String title, String XLabel, String YLabel, double[] data, int numPoints)` Initializes a new `YListChart` instance with a set of points `data`.

Method Summary

Methods inherited from class umontreal.iro.lecuyer.charts.XYLineChart
`add, add, add, add, add, getSeriesCollection, setSeriesCollection, setTicksSynchro, toLatex, view, viewBar`

Methods inherited from class umontreal.iro.lecuyer.charts.XYChart
`disableGrid, enableGrid, getChartMargin, getJFreeChart, getTitle, getXAxis, getYAxis, setAutoRange, setAutoRange, setChartMargin, setLatexDocFlag, setManualRange, setManualRange, setTitle`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### YListChart

    public YListChart(String title,
                      String XLabel,
                      String YLabel,
                      double[]... data)

  Initializes a new `YListChart` instance with set of points `data`. `title` is a title, `XLabel` is a short description of the x-axis, and `YLabel` a short description of the y-axis. The input vectors represents a set of plotting data. More specifically, each vector `data` represents a y-coordinates set. Position in the vector will form the x-coordinates. Indeed, the value `data`[j] corresponds to the point (j + 1,data[j]) (but rescaled) on the chart.

  Parameters:
    `title` - chart title.
    `XLabel` - Label on x-axis.
    `YLabel` - Label on y-axis.
    `data` - series of point sets.

### YListChart

    public YListChart(String title,
                      String XLabel,
                      String YLabel,
                      double[] data,
                      int numPoints)

  Initializes a new `YListChart` instance with a set of points `data`. `title` is a title, `XLabel` is a short description of the x-axis, and `YLabel` a short description of the y-axis. The input vector represents a set of plotting data. Position in the vector gives the x-coordinates of the curve. The value `data`[j] corresponds to the point (j + 1, `data`[j]) (but rescaled on the chart) for the curve. However, only the first `numPoints` of `data` will be considered to plot the curve.

  Parameters:
    `title` - chart title.
    `XLabel` - Label on x-axis.
    `YLabel` - Label on y-axis.
    `data` - point set.
    `numPoints` - number of points to plot

### YListChart

    public YListChart(String title,
                      String XLabel,
                      String YLabel,
                      double[][] data,
                      int numPoints)

  Initializes a new `YListChart` instance with set of points `data`. `title` is a title, `XLabel` is a short description of the x-axis, and `YLabel` a short description of the y-axis. The input vectors represents a set of plotting data. More specifically, for a n-row matrix `data`, each row `data` [i], i = 0,…, n - 1, represents a y-coordinate set for a curve. Position in the vector gives the x-coordinates of the curves. Indeed, the value `data`[i][j] corresponds to the point (j + 1, `data`[i][j]) (but rescaled on the chart) for curve i. However, only the first `numPoints` of each `data`[i] will be considered to plot each curve.

  Parameters:
    `title` - chart title.
    `XLabel` - Label on x-axis.
    `YLabel` - Label on y-axis.
    `data` - series of point sets.
    `numPoints` - number of points to plot

Overview | Package | Class | Tree | Deprecated | Index | Help
| SSJ V. 2.1.1.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Pierre L'Ecuyer.